import net.java.games.jogl.*;


public class J3_5_Specular extends J3_4_Diffuse {

  public void init(GLDrawable glDrawable) {

    super.init(glDrawable);

    gl.glEnable(GL.GL_LIGHTING);
    gl.glEnable(GL.GL_NORMALIZE);

    gl.glEnable(GL.GL_LIGHT0);
    gl.glLightfv(GL.GL_LIGHT0, GL.GL_POSITION, position);
    gl.glLightfv(GL.GL_LIGHT0, GL.GL_SPECULAR, white);

    gl.glMaterialfv(GL.GL_FRONT, GL.GL_SPECULAR, white);
    gl.glMaterialf(GL.GL_FRONT, GL.GL_SHININESS, 40.0f);

    gl.glMaterialfv(GL.GL_FRONT, GL.GL_DIFFUSE, black);
    gl.glMaterialfv(GL.GL_FRONT, GL.GL_AMBIENT, black);
    gl.glMaterialfv(GL.GL_FRONT, GL.GL_EMISSION, black);
  }


  public static void main(String[] args) {
    J3_5_Specular f = new J3_5_Specular();

    f.setTitle("JOGL J3_5_Specular");
    f.setSize(WIDTH, HEIGHT);
    f.setVisible(true);
  }
}
