/*
 * Created on 2004-4-21
 *
 * @author Jim X. Chen
 *
 * This one is created for doing a homework
 */
public class J1_3_Triangle extends J1_3_Line {

  public void drawtriangle(float[] v1,
                           float[] v2, float[] v3) {
    int v[][] = new int[3][3];

    for (int i = 0; i<3; i++) {
      v[0][i] = (int)v1[i];
      v[1][i] = (int)v2[i];
      v[2][i] = (int)v3[i];
    }
    drawtriangle(v);
  }


  public void drawtriangle(int[][] v) {
    int ymin = 0, ymid = 0, ymax = 0;

    // order the vertices along y
    if (v[0][1]<=v[1][1]&&v[1][1]<=v[2][1]) { //012
      ymin = 0; // vo at tottom
      ymid = 1;
      ymax = 2; // v2 at top
    } else if (v[0][1]<=v[2][1]&&v[2][1]<=v[1][1]) { //021
      ymin = 0;
      ymid = 2;
      ymax = 1;
    } else if (v[1][1]<=v[0][1]&&v[0][1]<=v[2][1]) { //102
      ymin = 1;
      ymid = 0;
      ymax = 2; //v2 at top
    } else if (v[1][1]<=v[2][1]&&v[2][1]<=v[0][1]) { //120
      ymin = 1; // v1 at tottom
      ymid = 2;
      ymax = 0; // v0 at top
    } else if (v[2][1]<=v[0][1]&&v[0][1]<=v[1][1]) { //201
      ymin = 2;
      ymid = 0;
      ymax = 1; // v0 at top

    } else if (v[2][1]<=v[1][1]&&v[1][1]<=v[0][1]) { //210
      ymin = 2; //v2 at bottom
      ymid = 1;
      ymax = 0; //v0 at top
    }

    float m_1 = 0, m_2 = 0; // 1/m
    float x1 = 0, x2 = 0;
    int y;

    if (v[ymin][1]==v[ymid][1]) { // flat bottom
      int tmp = ymin;

      if (ymin==(ymid+1)%3) { // ymin is ordered before ymid
        ymin = ymid;
        ymid = tmp;
      }

      x2 = v[ymin][0];
      m_2 = (float) (v[ymax][0]-v[ymin][0])
            /(v[ymax][1]-v[ymin][1]);
      x1 = v[ymid][0];
      m_1 = (float) (v[ymax][0]-v[ymid][0])
            /(v[ymax][1]-v[ymid][1]);
    } else {
      int d = v[(ymin+1)%3][1]-v[ymin][1];
      m_1 = (float) (v[(ymin+1)%3][0]-v[ymin][0])/d;
      d = v[(ymin+2)%3][1]-v[ymin][1];
      m_2 = (float) (v[(ymin+2)%3][0]-v[ymin][0])/d;

      x1 = v[ymin][0];
      x2 = v[ymin][0];
    }

    if (x1+m_1<x2+m_2) {
      //back_facing triangle,
      // operations such as culling (not implemented)
      float tmp = m_1;
      m_1 = m_2;
      m_2 = tmp;
      tmp = x1;
      x1 = x2;
      x2 = tmp;
    }

    for (y = v[ymin][1]; y<v[ymid][1]; y++) {
      // for each scan-line

      line((int)x2, y, (int)x1, y);
      x1 = x1+m_1;
      x2 = x2+m_2;
    }

    // the third edge
    if (v[ymin][1]!=v[ymid][1]
        && v[ymid][1] !=v[ymax][1]) { // not flat bottom
      if (v[ymid][0]-x1<1 && v[ymid][0]-x1>-1) {
        m_1 = (float) (v[ymax][0]-v[ymid][0])
              /(v[ymax][1]-v[ymid][1]);
      } else {
        m_2 = (float) (v[ymax][0]-v[ymid][0])
              /(v[ymax][1]-v[ymid][1]);
      }
    }

    for (y = v[ymid][1]; y<v[ymax][1]; y++) {
      // for each scan-line

      line((int)x2, y, (int)x1, y);
      x1 = x1+m_1;
      x2 = x2+m_2;
    }
  }
}
